Slideshows
Créez des workflows de slideshows et carrousels.
POST /slideshows
Crée un slideshow ou carrousel.
Les crédits sont slide_count * CREDITS_PER_SLIDE.
curl -X POST https://videotok.app/api/v1/slideshows \
-H "Authorization: Bearer vt_live_..." \
-H "Content-Type: application/json" \
-d '{
"prompt": "A carousel about sustainable fashion trends for 2026.",
"slide_count": 6,
"aspect_ratio": "4:5",
"product_image_urls": ["https://example.com/product.png"],
"brand_kit_id": 42,
"avatar_id": "avatar_123",
"language": "English",
"generate_text_overlays": true
}'
Champs
prompt, slide_count, aspect_ratio, product_image_urls, avatar_id, brand_kit_id, custom_reference_inspiration_id, language et generate_text_overlays contrôlent la création.
GET /slideshows/{id}
Retourne le slideshow et son statut.